<?
include 'mysql.php';
include 'inclydings/sesi.php';
Error_Reporting(E_ALL);
include 'inclydings/check2.php';
include 'inclydings/ini.php';
include 'inclydings/golova.php';
switch($go) {
default:
echo "<form action=\"password.php?$sd&go=go\" method=\"post\">Ведите ваш ник:<br/>";
echo "<input class=\"button\" name=\"name\" maxlength=\"11\" title=\"name\"/><br/>";
echo "Ведите e-mail указанный при регистрации:<br/>";
echo "<input class=\"button\" name=\"email\" maxlength=\"50\" title=\"email\"/><br/>";
echo "<input class=\"button\" type=\"submit\" value=\"Востановить\" /></form>";
break;
case 'go':
if(!empty($name)){
$text = @file("L2dbnam/esql2db/reg/$name.dat");
$udata = explode(":||:",$text[0]);
$mail=$udata[18];
}else{echo'Вы не ввели необходимые данные<br/>';
echo "</p></body></html>"; exit;}

if($_POST[email]!==$mail || $mail=="" || $mail=="@") {echo'Вы ввели несоответствующие данные, пароль не может быть востановлен!<br/>';
echo "</p></body></html>"; exit;} else {
$newpassword =uniqid("F");
$newpas=substr($newpassword,6);
$new=md5($newpas);

$ip = $_SERVER['REMOTE_ADDR'];
$agent = strtok($HTTP_USER_AGENT,'/');
$ip=htmlspecialchars(stripslashes($ip));
$agent=htmlspecialchars(stripslashes($agent));
$now= date("j-m-Y");
$curr=date("H:i:s", time());

$subject = "Lineage2 - New Password";
$mail = "Password: ".$newpas."";
include_once "inclydings/function.php";
$subject = utf_to_win($subject);
$name = utf_to_win($name);
$mail = utf_to_win($mail);

$name = convert_cyr_string($name, 'w','k');
$subject = convert_cyr_string($subject, 'w','k');
$mail = convert_cyr_string($mail, 'w','k');
$adds = "From: <".$emails.">\n";

$adds .= "X-sender: <".$emails.">\n";
$adds .= "Content-Type: text/plain; charset=koi8-r\n";

$adds .= "MIME-Version: 1.0\r\n";
$adds .= "Content-Transfer-Encoding: 8bit\r\n";
$adds .= "X-Mailer: PHP v.".phpversion();

mail($udata[18],$subject,$mail,$adds);

echo '<small>Пароль востановлен успешно!<br/>Ваши новые данные высланы на e-mail указанный в при регистрации.</small>';

$fal = @file("L2dbnam/esql2db/reg/$name.dat");
$udata = explode(":||:",$fal[0]);

$text=$udata[0].':||:'.$new.':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$name.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  }
break;
}
include 'inclydings/nogi.php';
?>